{% extends 'Emails/base.html.twig' %}

{% block email_content %}
  <table align='center' bgcolor='#fff' border='0' cellpadding='0' cellspacing='0' id='backgroundTable'
         style='background: #fff;'>
    <tr>
      <td style="padding: 20px;line-height: 1.4;">
        <p>
          {% if user_name %}
            {{ 'email.pratica.dear'|trans({'%user_name%' : user_name}, null, locale )|raw }}
          {% elseif user_group_name %}
            {{ 'email.pratica.dear_user_group'|trans({'%user_group_name%' : user_group_name}, null, locale)|raw }}
          {% else %}
            {{ 'email.pratica.dear_operator'|trans({}, null, locale)|raw }}
          {% endif %}
        </p>
        <p>
          {{ view_model.praticaStatusMessage | raw }}
        </p>
        {% if (pratica.servizio.isProtocolRequired and pratica.status >= 3000) or (not pratica.servizio.isProtocolRequired and pratica.status > 1900) %}
          <p>{{ 'email.pratica.link'|trans({}, null, locale) }} <a
              href="{{ absolute_url(path('operatori_show_pratica', {'pratica': pratica})) }}">{{ 'email.detail_application'|trans({}, null, locale) }}</a>
          </p>
        {% endif %}
      </td>
    </tr>
    <tr>
      <td style="padding: 20px">
        {% if pratica.id %}
          <p><b>{{ 'pratica.numero' | trans({}, null, locale) }}</b>: {{ pratica.id }}</p>
        {% endif %}
        {% if pratica.submissionTime %}
          <p><b>{{ 'pratica.data_di_presentazione' | trans({}, null, locale) }}</b>: {{ pratica.submissionTime | format_date( locale=locale) }}
          </p>
        {% endif %}
        {% if pratica.submissionTime and pratica.servizio.maxResponseTime %}
          <p>
            <b>{{ 'pratica.max_response_date' | trans({}, null, locale) }}</b>: {{ 'now' | date_modify('+' ~ (pratica.remainingResponseTime) ~ 'days') | format_date( locale=locale) }}
          </p>
        {% endif %}
      </td>
    </tr>
  </table>
{% endblock %}

{% block email_footer %}
  <p
    style="font-family:'Lucida Grande', 'Helvetica Neue', Helvetica, Arial, sans-serif; color: #30373d;background: #F0F0F0; padding: 20px; font-size: 15px !important;margin:0">
    {{ 'messages.receives_why_operator'|trans({'%instance_url%': instance_url, '%ente.name%' : ente.name, '%operator_login%': absolute_url(path('security_login'))}, null, locale) | raw }}
  </p>
{% endblock %}
